from westpa.core.h5io import WESTIterationFile


def load_traj_h5(walker):
    iter = walker.iteration
    if 'trajectories' not in iter.h5group:
        raise KeyError("The loaded west.h5 does not seem to be generated by the HDF5 framework")
    link = iter.h5group['trajectories']
    traj_filename = link.file.filename

    with WESTIterationFile(traj_filename) as traj_file:
        traj = traj_file.read_as_traj(iteration=walker.iteration.number, segment=walker.index)

    return traj
